Bug 1145580 - (CVE-2019-9513) VUL-0: CVE-2019-9513: nginx: HTTP/2 implementation is vulnerable to resource loops, potentially leading to a denial of service.
(CVE-2019-9513)
VUL-0: CVE-2019-9513: nginx: HTTP/2 implementation is vulnerable to resource ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Robert Frohl
Security Team bot
https://smash.suse.de/issue/239515/
CVSSv3:SUSE:CVE-2019-9513:7.5:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-14 09:32 UTC by Robert Frohl
Modified: 2021-03-19 08:05 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-08-14 09:32:39 UTC
CVE-2019-9513

Some HTTP/2 implementations are vulnerable to resource loops, potentially
leading to a denial of service. The attacker creates multiple request streams
and continually shuffles the priority of the streams in a way that causes
substantial churn to the priority tree. This can consume excess CPU.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9513
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9513.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9513
http://www.cvedetails.com/cve/CVE-2019-9513/
https://kb.cert.org/vuls/id/605641/
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md
Comment 1 Robert Frohl 2019-08-29 09:45:13 UTC
Fix should be this one:
https://github.com/nginx/nginx/commit/5ae726912654da10a9a81b2c8436829f3e94f69f
Comment 5 Swamp Workflow Management 2019-09-05 19:14:38 UTC
SUSE-SU-2019:2309-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1115015,1115022,1115025,1145579,1145580,1145582
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845,CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    nginx-1.14.2-6.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    nginx-1.14.2-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-10 22:19:34 UTC
openSUSE-SU-2019:2120-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1115015,1115022,1115025,1145579,1145580,1145582
CVE References: CVE-2018-16843,CVE-2018-16844,CVE-2018-16845,CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
openSUSE Leap 15.1 (src):    nginx-1.14.2-lp151.4.3.1
Comment 7 Swamp Workflow Management 2019-10-04 16:22:56 UTC
SUSE-SU-2019:2559-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1145579,1145580,1145582
CVE References: CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    nginx-1.14.2-3.6.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    nginx-1.14.2-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-10-06 13:17:03 UTC
openSUSE-SU-2019:2264-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1145579,1145580,1145582
CVE References: CVE-2019-9511,CVE-2019-9513,CVE-2019-9516
Sources used:
openSUSE Leap 15.0 (src):    nginx-1.14.2-lp150.2.11.1
Comment 9 Robert Frohl 2020-03-30 08:13:24 UTC
released